Bug 246819 - files in /usr/share/mantis marked as documentation
Summary: files in /usr/share/mantis marked as documentation
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-05 07:58 UTC by Gianluca Sforna
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 4.4.2.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 21:48:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stricter docdir checking (858 bytes, patch)
2007-07-05 10:23 UTC, Panu Matilainen
no flags Details | Diff

Description Gianluca Sforna 2007-07-05 07:58:03 UTC
Description of problem:
The mantis package has most of its files in /usr/share/mantis. Running:

rpm-q --docfiles mantis

all of them are marked as documentation, though the spec file does not list them
in the %doc section.

Comment 1 Panu Matilainen 2007-07-05 10:23:03 UTC
Created attachment 158577 [details]
Stricter docdir checking

Yeah, it's an ancient and even documented bug:
/**
 * Test if file is located in a %docdir.
 * @bug Use of strstr(3) might result in false positives.
...

With the attached patch, no false positives should happen. 
4.4.2.1 (rc2) is in "regression fixes only" mode so not applied in rpm.org yet.

Comment 2 Jeff Johnson 2007-07-10 19:33:08 UTC
UPSTREAM at rpm5.org too.

Comment 3 Panu Matilainen 2007-08-09 13:38:37 UTC
Upstream at rpm.org and next rawhide build too. F7 should inherit the fix
shortly, leaving open until then.

Comment 4 Fedora Update System 2007-08-13 17:03:10 UTC
rpm-4.4.2.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2007-08-27 21:46:59 UTC
rpm-4.4.2.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.